# Class: Concurrent::ErlangActor::EnvironmentConstants::AbstractLogicOperationMatcher

Inherits:
  Object
  - Object
  - Concurrent::ErlangActor::EnvironmentConstants::AbstractLogicOperationMatcher
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb

## Direct Known Subclasses

And, Or

## Class Method Summary collapse

- .[](*matchers) ⇒ undocumented

## Instance Method Summary collapse

- #initialize(*matchers) ⇒ AbstractLogicOperationMatcher constructor

  A new instance of AbstractLogicOperationMatcher.

## Constructor Details

### #initialize(*matchers) ⇒ `AbstractLogicOperationMatcher`

Returns a new instance of AbstractLogicOperationMatcher.

    591
    592
    593

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 591

    def initialize(*matchers)
      @matchers = matchers
    end

## Class Method Details

### .[](*matchers) ⇒ `undocumented`

    587
    588
    589

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 587

    def self.[](*matchers)
      new(*matchers)
    end